package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFTmpStepActor;
import com.sa.ibiz.demo.demo.service.dto.WFTmpStepActorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFTmpStepActor] 服务对象接口
 */
public interface WFTmpStepActorService extends IService<WFTmpStepActor>{

		WFTmpStepActor get(WFTmpStepActor et);
	boolean remove(WFTmpStepActor et);
	boolean update(WFTmpStepActor et);
	boolean checkKey(WFTmpStepActor et);
	boolean getDraft(WFTmpStepActor et);
	boolean create(WFTmpStepActor et);
    List<WFTmpStepActor> listDefault(WFTmpStepActorSearchFilter filter) ;
	Page<WFTmpStepActor> searchDefault(WFTmpStepActorSearchFilter filter);
	/**	 实体[WFTmpStepActor] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }